package ru.yandex.webmaster3.storage.clickhouse.system.data;

/**
 * @author avhaliullin
 */
public class ClickhouseSystemColumnInfo {
    private final String database;
    private final String table;
    private final String name;
    private final String type;

    public ClickhouseSystemColumnInfo(String database, String table, String name, String type) {
        this.database = database;
        this.table = table;
        this.name = name;
        this.type = type;
    }

    public String getDatabase() {
        return database;
    }

    public String getTable() {
        return table;
    }

    public String getName() {
        return name;
    }

    public String getType() {
        return type;
    }
}
